petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSpaceGetNumVariables

Return the number of variables for this space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetNumVariables(PetscSpace sp, PetscInt *n)

### Input Parameter

sp -The PetscSpace

### Output Parameter

Nc -The number of variables, e.g. x, y, z...

### See Also

PetscSpaceSetNumVariables(), PetscSpaceGetNumComponents(), PetscSpaceGetDimension(), PetscSpaceCreate(), PetscSpace

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages